/***************************************************************************
 *   Copyright (C) 2009 by Andreas Fink <finkandreas@web.de>               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef ICONSTACK_H
#define ICONSTACK_H

#include <QGraphicsWidget>
#include <QPair>

class IconStack : public QGraphicsWidget
{
  public:
    IconStack(QGraphicsWidget* pParent);
    void AddIcon(QPixmap p, QString click);

  protected:
    void paint(QPainter* p, const QStyleOptionGraphicsItem* o, QWidget* w);
    void mousePressEvent(QGraphicsSceneMouseEvent* pEvent);

  private:
    QList< QPair<QPixmap, QString> > m_IconList;
};

#endif // ICONSTACK_H
