/***************************************************************************
 *   Copyright (C) 2009 by Kai Dombrowe <just89@gmx.de>                    *
 *   Minor modifications by Andreas Fink <finkandreas@web.de>              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/
#ifndef LABEL_H
#define LABEL_H


/// Qt
#include <QGraphicsWidget>

/// KDE
#include <QPixmap>


class Label : public QGraphicsWidget
{
    Q_OBJECT


  public:
    Label(const QPixmap& pixmap = QPixmap(), QGraphicsWidget *parent = 0);
    virtual ~Label();

  public slots:
    void setText(const QString &newText );
    void updateAppearance(const QColor& newColor, const QFont& newFont, Qt::Alignment align);
    void setIconClick( const QString& s ) { m_IconClick = s; }
    void setTextClick( const QString& s ) { m_TextClick = s; }

  protected:
    void mousePressEvent(QGraphicsSceneMouseEvent *event);

private:
    QString _text;
    QFont _font;
    QColor _color;
    QPixmap _pixmap;
    Qt::Alignment _alignment;
    QString m_IconClick;
    QString m_TextClick;

protected:
    void paint(QPainter* paint, const QStyleOptionGraphicsItem*, QWidget*);
    void checkGeometry();


signals:
    void geometryChanged();
    void heightChanged();

};

#endif
