/***************************************************************************
 *   Copyright (C) 2009 by Andreas Fink <finkandreas@web.de>               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#include <QStringList>
#include <QHash>
#include <QDebug>
#include "structs.h"

QDebug& operator<<(QDebug &dbg, const SourceIntervalPair& sip)
{
  dbg.nospace() << "(" << sip.Engine << ", " << sip.Source << ", " << sip.Key << ", " << sip.Interval << ")";
  return dbg.space();
}

QDebug& operator<<(QDebug &dbg, const SensorLabelPair& slp)
{
  dbg.nospace() << "(" << slp.pDisplayLabel << ", " << slp.UsedSensors << ", " << slp.Format << ")";
  return dbg.space();
}

QDebug& operator<<(QDebug &dbg, const SensorCmdPair& scp )
{
  dbg.nospace() << "(" << scp.Sensor << ", " << scp.Cmd << ", " << scp.MathOperation
      << ", " << scp.UsedSensors << ")";
  return dbg.space();
}

QDebug& operator<<(QDebug &dbg, const SensorMeterPair& smp )
{
  dbg.nospace() << "(" << smp.pMeter << ", " << smp.UsedSensors << ", " << smp.Min << ", " << smp.Max
      << ", " << smp.Value << ", " << smp.Labels << ")";
  return dbg.space();
}

QDebug& operator<<(QDebug &dbg, const SensorPlotterPair& spp )
{
  dbg.nospace() << "(" << spp.pPlotter << ", " << spp.UsedSensors << ", " << spp.Plots << ")";
  return dbg.space();
}
