/***************************************************************************
 *   Copyright (C) 2009 by Andreas Fink <finkandreas@web.de>               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef STRUCTS_H
#define STRUCTS_H

class Label;
namespace Plasma {
  class SignalPlotter;
  class Meter;
}


struct SensorCmdPair {
  QString Sensor;
  QString Cmd;
  QString MathOperation;
  QStringList UsedSensors;
};


struct SourceIntervalPair {
  QString Engine;
  QString Source;
  QString Key;
  int Interval;
};

struct SensorLabelPair {
  Label* pDisplayLabel;
  QStringList UsedSensors;
  QString Format;
};


struct SensorTextPair {
  Label* pTextLabel;
  QStringList UsedSensors;
  QString Format;
};


struct SensorMeterPair {
  Plasma::Meter* pMeter;
  QStringList UsedSensors;
  QString Min;
  QString Max;
  QString Value;
  QHash<int, QString> Labels;
};

struct SensorPlotterPair {
  Plasma::SignalPlotter* pPlotter;
  QStringList UsedSensors;
  QStringList Plots;
};

QDebug& operator<<(QDebug &dbg, const SourceIntervalPair& sip);
QDebug& operator<<(QDebug &dbg, const SensorCmdPair& scp );
QDebug& operator<<(QDebug &dbg, const SensorLabelPair& slp);
QDebug& operator<<(QDebug &dbg, const SensorMeterPair& slp);
QDebug& operator<<(QDebug &dbg, const SensorPlotterPair& slp);


#endif // STRUCTS_H
